Package org.bukkit.event.block

# Class EntityBlockFormEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockGrowEvent
org.bukkit.event.block.BlockFormEvent
org.bukkit.event.block.EntityBlockFormEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityBlockFormEvent extends BlockFormEvent
Called when a block is formed by entities.

Examples:

- Snow formed by a `Snowman`.
- Frosted Ice formed by the Frost Walker enchantment.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`EntityBlockFormEvent(@NotNull Entity entity, @NotNull Block block, @NotNull BlockState blockstate)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
Get the entity that formed the block.

### Methods inherited from class org.bukkit.event.block.BlockFormEvent

`getHandlerList, getHandlers`

### Methods inherited from class org.bukkit.event.block.BlockGrowEvent

`getNewState, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityBlockFormEvent

public EntityBlockFormEvent(@NotNull @NotNull Entity entity, @NotNull @NotNull Block block, @NotNull @NotNull BlockState blockstate)

## Method Details

### getEntity

@NotNull public @NotNull Entity getEntity()
Get the entity that formed the block.

Returns:
  Entity involved in event